import request from '@/utils/request'

// 查询cid服务列表
export function listServer(query) {
  return request({
    url: '/company/cid/server/list',
    method: 'get',
    params: query
  })
}

// 查询cid服务详细
export function getServer(id) {
  return request({
    url: '/company/cid/server/' + id,
    method: 'get'
  })
}

// 新增cid服务
export function addServer(data) {
  return request({
    url: '/company/cid/server',
    method: 'post',
    data: data
  })
}

// 修改cid服务
export function updateServer(data) {
  return request({
    url: '/company/cid/server',
    method: 'put',
    data: data
  })
}

// 删除cid服务
export function delServer(id) {
  return request({
    url: '/company/cid/server/' + id,
    method: 'delete'
  })
}

// 导出cid服务
export function exportServer(query) {
  return request({
    url: '/company/cid/server/export',
    method: 'get',
    params: query
  })
}

// 绑定cid服务
export function bindCidServer(data) {
  return request({
    url: '/company/cid/server/bindCidServer',
    method: 'post',
    data: data
  })
}

export function unbindCidServer(data) {
  return request({
    url: '/company/cid/server/unbindCidServer',
    method: 'post',
    data: data
  })
}